Package org.apache.sysds.lops.rewrite

# Class RewriteUpdateGPUPlacements

java.lang.Object
org.apache.sysds.lops.rewrite.LopRewriteRule
org.apache.sysds.lops.rewrite.RewriteUpdateGPUPlacements

public class RewriteUpdateGPUPlacements extends LopRewriteRule

## Constructor Summary

Constructors
Constructor
Description
`RewriteUpdateGPUPlacements()`

## Method Summary

Modifier and Type
Method
Description
`List<StatementBlock>`
`rewriteLOPinStatementBlock(StatementBlock sb)`
`List<StatementBlock>`
`rewriteLOPinStatementBlocks(List<StatementBlock> sbs)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RewriteUpdateGPUPlacements

public RewriteUpdateGPUPlacements()

## Method Details

### rewriteLOPinStatementBlock

public List<StatementBlock> rewriteLOPinStatementBlock(StatementBlock sb)

Specified by:
  `rewriteLOPinStatementBlock` in class `LopRewriteRule`

### rewriteLOPinStatementBlocks

public List<StatementBlock> rewriteLOPinStatementBlocks(List<StatementBlock> sbs)

Specified by:
  `rewriteLOPinStatementBlocks` in class `LopRewriteRule`